package cn.hanghui.outapi.platform.tenant.entity.enums;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description: 证件类型
 * @ClassName
 */
@AllArgsConstructor
@Getter
public enum SystemTypeEnum {

    ANT_OS(1, "蚂蚁OS"),
    NO_ANT_OS(2, "非蚂蚁OS"),
    ;

    public static SystemTypeEnum getEnumByCode(Integer code){
        if(ObjectUtil.isNull(code)){
            return null;
        }
        for (SystemTypeEnum enumObject : values()){
            if(enumObject.code.equals(code)){
                return enumObject;
            }
        }
        return null;
    }
    private Integer code;
    private String desc;


}
